{{- if .Values.ingress.enabled }}
kind: Ingress
apiVersion: networking.k8s.io/v1
metadata:
  name: {{ .Chart.Name }}
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /
spec:
  ingressClassName: public # or public
  rules:
    - http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: frontend
                port:
                  number: 8080 # the service listen on this port in the cluster
{{- end }}
